aboutsummaryrefslogtreecommitdiffstats
path: root/x11/sessreg/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-04-08 09:41:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-04-08 09:41:54 +0000
commitee5544e65a6f225910a8ca3e4b2b9febd41fe508 (patch)
tree4d7353416983d78c7bb3318524542ff58b50bb43 /x11/sessreg/APKBUILD
parentcbec927da6c937bf304c81c6d17ddf3aadd32128 (diff)
downloadaports-ee5544e65a6f225910a8ca3e4b2b9febd41fe508.tar.gz
aports-ee5544e65a6f225910a8ca3e4b2b9febd41fe508.tar.bz2
aports-ee5544e65a6f225910a8ca3e4b2b9febd41fe508.tar.xz
x11/sessreg: new aport
manage utmp/wtmp entries for non-init clients
Diffstat (limited to 'x11/sessreg/APKBUILD')
-rw-r--r--x11/sessreg/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/x11/sessreg/APKBUILD b/x11/sessreg/APKBUILD
new file mode 100644
index 0000000000..c4d6f1941e
--- /dev/null
+++ b/x11/sessreg/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=sessreg
+pkgver=1.0.4
+pkgrel=0
+pkgdesc="manage utmp/wtmp entries for non-init clients"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-doc"
+depends="uclibc"
+makedepends="pkgconfig xproto"
+source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="839e968d7197b9563f0fd8a5a3aac2e3 sessreg-1.0.4.tar.bz2"